Add Vidm User Group
Add a new VMware Identity Manager user-group to VCF Operations for networks. Only admin users can perform this action. VMware Identity Manager must be configured prior to this action.
User-group details
{
"group_name": "superAdmins",
"domain": "vidmlabs.com",
"role": "ADMIN"
}
Specify group name (domain should not be part of group name).
Provide domain name to which user-group belongs to.
Role assigned the user/group.
Success
{
"id": "[email protected]",
"group_type": "VIDM",
"group_name": "testgroup",
"domain": "vidmlabs.com",
"role": "ADMIN"
}
The type of user-group.
Unique identifier assigned to user-group.
Group-name of the user-group.
Domain name to which user-group belongs to.
Role assigned the user/group.
Bad Request
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Unauthorized
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Forbidden
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Conflict
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Internal error
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/settings/user-groups/vidm